#! /bin/sh
#
# Create 'idnkit-python-doc-VERSION.tar.bz2'.
#

DOXYFILE=Doxyfile
TMP_DOXYFILE=Doxyfile.tmp

VERSION=`sed -ne 's/^PROJECT_NUMBER[ 	]*=[ 	]*//p' $DOXYFILE`
if [ X"$VERSION" = X ]; then
    echo "$0: failed to get version from $DOXYFILE" 1>&2
    exit 1
fi

OUTDIR="idnkit-python-doc-$VERSION"
OUTFILE="dist/$OUTDIR.tar.bz2"

trap "rm -rf $OUTDIR; rm -f $TMP_DOXYFILE; exit 1" 1 2 3 15
rm -f $TMP_DOXYFILE

sed -e 's/^OUTPUT_DIRECTORY[ 	]*=.*$/OUTPUT_DIRECTORY = /' \
    -e 's/^HTML_OUTPUT[ 	]*=.*$/HTML_OUTPUT = '"$OUTDIR"/ \
    $DOXYFILE > $TMP_DOXYFILE

rm -rf $OUTDIR 
rm -f $OUTFILE
doxygen $TMP_DOXYFILE
tar cf - $OUTDIR | bzip2 -9c > $OUTFILE

rm -rf $OUTDIR 
rm -f $TMP_DOXYFILE

exit 0
