#! /usr/bin/python

from distutils.core import setup, Extension
import glob

# Directory where idnkit header files are installed.
idnkit_include_dir = '/usr/local/include'

# Directory where libidnkitlite resides.
idnkit_library_dir = '/usr/local/lib'

setup(name='idnkit-python',
      version='2.2',
      description='idnkit API for Python',
      author='Japan Registry Services Co., Ltd.(JPRS)',
      author_email='idnkit-info@jprs.co.jp',
      url='http://jprs.co.jp/idn/',
      ext_modules=[Extension('idnkit',
                             glob.glob('src/idnkit*.c'),
                             include_dirs=[idnkit_include_dir, 'src'],
                             library_dirs=[idnkit_library_dir],
                             runtime_library_dirs=[idnkit_library_dir],
                             libraries=['idnkitlite'])])
